/***
*cpcu.cpp - Compute derived control parameters and edits (user-defined)
*
*$Id: cpcu.cpp 6.99 2008/08/22 17:08:22 hickcha Exp $
*
*   SPSD/M Copyright (c) 1987-1989, Minister of Regional Industrial Expansion.
*   All rights reserved.  Use, reproduction, or disclosure of this work,
*   as well as publication of results derived from this work, are subject
*   to the conditions specified in the SPSD/M License Agreement.
*
*Purpose:
*   This file contains the definition of the .c function.
*
*Revisions:
* +-----+----------+---------------------------------------------------------+
* | Who |   Date   | Description                                             |
* +-----+----------+---------------------------------------------------------+
* | TCB | 98/05/28 | Renamed *.cpp, ANSI function headers                    |
* | --- | 89/10/13 | Release 4.0                                             |
* |     |          |                                                         |
* +-----+----------+---------------------------------------------------------+
*
*Definitions:
*   cpcu     [global]  Compute derived control parameters and edits (user-defined)
*
*****************************************************************************/


/* ==================== C-RUNTIME LIBRARY INCLUDE FILES =================== */

#include <stdio.h>  /* definitions/declarations for standard I/O routines   */


/* ==================== SPSD/M INCLUDE FILES ============================== */

#include "spsm.h"   /* SPSM common manifest constants and macros            */
#include "sub.h"    /* Subroutine library declarations                      */
#include "cpu.h"    /* Control parameter (user's) declarations              */
#include "cp.h"     /* Control parameters declarations                      */


/* ==================== COMPILER PRAGMAS ================================== */

#ifdef MSCOVL
#pragma alloc_text(DIALOG_TEXT,cpcu)
#endif


/* ==================== FUNCTION DEFINITIONS ============================== */

/*****************************************************************************
*cpcu - Compute derived control parameters and edits (user-defined)
*
*Synopsis:
*    int cpcu()           
*
*Description:
*
*Return Value:
*   The value TRUE is returned if an error was detected,
*   otherwise FALSE is returned.
*
*Called by:
*   cpin     Obtain control parameters from user
*
*****************************************************************************/
int  cpcu()
{
	int parmerr = FALSE;

	DEBUG_ON("cpcu");

	DEBUG_OFF("cpcu");
	return(parmerr);
}


