/***
*cpu.h - Control parameter (user's) declarations
*
*$Id: CPU.H 6.99 2008/08/22 17:05:54 hickcha Exp $
*
*   SPSD/M Copyright (c) 1987-1989, Minister of Regional Industrial Expansion.
*   All rights reserved.  Use, reproduction, or disclosure of this work,
*   as well as publication of results derived from this work, are subject
*   to the conditions specified in the SPSD/M License Agreement.
*
*Purpose:
*   This file declares the parameter structure, associated macro symbols,
*   and function prototypes associated with the 'user hooks' for
*   overall control parameters.  This file will be rarely, if ever, modified
*   by the glass-box user.
*
*Revisions:
* +-----+----------+---------------------------------------------------------+
* | Who |   Date   | Description                                             |
* +-----+----------+---------------------------------------------------------+
* | --- | 89/10/13 | Release 4.0                                             |
* |     |          |                                                         |
* +-----+----------+---------------------------------------------------------+
*
*****************************************************************************/



/* ==================== MANIFEST CONSTANTS ================================ */



/* ==================== STRUCTURE DECLARATION MACROS ====================== */

#define S_UC   struct UC_
#define P_UC   S_UC *



/* ==================== STRUCTURE DECLARATIONS ============================ */

typedef struct UC_ {
	int UCDUMMY;         /* dummy entry */
} UC_;



/* ==================== FUNCTION PROTOTYPES =============================== */

#ifdef P_hh    /* declare prototypes taking hhld or sub-structures */
	extern  void tblu(P_hh hhld);
#endif

#ifdef P_pc
	extern  void cpdu(P_pc pcp);
#endif

extern  void tbiu(void);
extern  void tbpu(FILE *tblfp);
extern  int  cpcu(void);
